OGRE-Next: Ogre::WindowEventListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::WindowEventListener Class Reference
Core » RenderSystem

`#include <OgreWindowEventUtilities.h>`

## Public Member Functions
virtual | ~WindowEventListener ()
virtual void | windowClosed (Window *rw)
virtual bool | windowClosing (Window *rw)
virtual void | windowFocusChange (Window *rw)
virtual void | windowMoved (Window *rw)
virtual void | windowResized (Window *rw)

## Detailed Description

Remarks
  Callback class used to send out window events to client app

## Constructor & Destructor Documentation

## ◆ ~WindowEventListener()

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ windowClosed()

virtual void Ogre::WindowEventListener::windowClosed | ( | Window * | rw | ) |
| inlinevirtual

Remarks
  Window has been closed (Only triggered if user pressed the [X] button)

Parameters

  rw | The Window which created this events

Note
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

## ◆ windowClosing()

virtual bool Ogre::WindowEventListener::windowClosing | ( | Window * | rw | ) |
| inlinevirtual

Remarks
  Window is closing (Only triggered if user pressed the [X] button)

Parameters

  rw | The Window which created this events

Returns
  True will close the window(default).

## ◆ windowFocusChange()

virtual void Ogre::WindowEventListener::windowFocusChange | ( | Window * | rw | ) |
| inlinevirtual

Remarks
  Window has lost/gained focus

Parameters

  rw | The Window which created this events

## ◆ windowMoved()

virtual void Ogre::WindowEventListener::windowMoved | ( | Window * | rw | ) |
| inlinevirtual

Remarks
  Window has moved position

Parameters

  rw | The Window which created this events

## ◆ windowResized()

virtual void Ogre::WindowEventListener::windowResized | ( | Window * | rw | ) |
| inlinevirtual

Remarks
  Window has resized

Parameters

  rw | The Window which created this events

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h